## tekton-cli 0.41.1

=== Makefile ===
GO   = go
PKGS = $(or $(PKG),$(shell env GO111MODULE=on $(GO) list ./... | grep -v 'github.com/tektoncd/cli/third_party/'))
BIN  = $(CURDIR)/.bin

export GO111MODULE=on

V = 0
Q = $(if $(filter 1,$V),,@)
M = $(shell printf "\033[34;1m🐱\033[0m")

TIMEOUT_UNIT = 5m
TIMEOUT_E2E  = 20m

# Get golangci_version from tools/go.mod to eliminate the manual bump
GOLANGCI_VERSION = $(shell cat tools/go.mod | grep golangci-lint | awk '{ print $$3 }')

YAML_FILES := $(shell find . -type f -regex ".*y[a]ml" -print)

ifneq ($(NAMESPACE),)
	NAMESPACELDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.namespace=$(NAMESPACE)
endif

ifneq ($(SKIP_CHECK_FLAG),)
	SKIPLDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.skipCheckFlag=$(SKIP_CHECK_FLAG)
endif

ifneq (,$(wildcard ./VERSION))
	VERSIONLDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.clientVersion=`cat VERSION`
endif

ifneq ($(RELEASE_VERSION),)
	VERSIONLDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.clientVersion=$(RELEASE_VERSION)
endif

FLAGS := $(VERSIONLDFLAG)
ifneq ($(SKIPLDFLAG),)
	FLAGS := $(FLAGS) $(SKIPLDFLAG)
endif

ifneq ($(NAMESPACELDFLAG),)
	FLAGS := $(FLAGS) $(NAMESPACELDFLAG)
endif

ifneq ($(FLAGS),)
	LDFLAGS := -ldflags "$(FLAGS)"
endif

all: bin/tkn

FORCE:

.PHONY: vendor
vendor:
	@$(GO) mod vendor

.PHONY: cross
cross: amd64 386 arm arm64 s390x ppc64le ## build cross platform binaries

.PHONY: amd64
amd64:
	GOOS=linux GOARCH=amd64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-amd64 ./cmd/tkn
	GOOS=windows GOARCH=amd64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-windows-amd64 ./cmd/tkn
	GOOS=darwin GOARCH=amd64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-darwin-amd64 ./cmd/tkn

.PHONY: 386
386:
	GOOS=linux GOARCH=386 go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-386 ./cmd/tkn
	GOOS=windows GOARCH=386 go build -mod=vendor $(LDFLAGS) -o bin/tkn-windows-386 ./cmd/tkn

.PHONY: arm
arm:
	GOOS=linux GOARCH=arm go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-arm ./cmd/tkn

.PHONY: arm64
arm64:
	GOOS=linux GOARCH=arm64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-arm64 ./cmd/tkn
	GOOS=darwin GOARCH=arm64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-darwin-arm64 ./cmd/tkn

.PHONY: s390x
s390x:
	GOOS=linux GOARCH=s390x go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-s390x ./cmd/tkn

.PHONY: ppc64le
ppc64le:
	GOOS=linux GOARCH=ppc64le go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-ppc64le ./cmd/tkn

bin/%: cmd/% FORCE
	$(Q) $(GO) build -mod=vendor $(LDFLAGS) -v -o $@ ./$<

check: lint test

.PHONY: test
test: test-unit ## run all tests

.PHONY: lint
lint: lint-go goimports lint-yaml  ## run all linters

GOLANGCILINT = $(BIN)/golangci-lint
$(BIN)/golangci-lint: ; $(info $(M) getting golangci-lint $(GOLANGCI_VERSION))
	cd tools; GOBIN=$(BIN) $(GO) install -mod=mod github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_VERSION)

.PHONY: lint-go
lint-go: | $(GOLANGCILINT) ; $(info $(M) running golangci-lint…) @ ## Run golangci-lint
	$Q $(GOLANGCILINT) run --modules-download-mode=vendor --max-issues-per-linter=0 --max-same-issues=0 --timeout 10m
	@rm -f $(GOLANGCILINT)

GOIMPORTS = $(BIN)/goimports
$(GOIMPORTS): ; $(info $(M) getting goimports )
	GOBIN=$(BIN) $(GO) install -mod=mod golang.org/x/tools/cmd/goimports@latest

.PHONY: goimports
goimports: | $(GOIMPORTS) ; $(info $(M) running goimports…) ## Run goimports
	$Q $(GOIMPORTS) -l -e -w pkg cmd test
	@rm -f $(GOIMPORTS)

.PHONY: lint-yaml
lint-yaml: ${YAML_FILES}  ; $(info $(M) running yamllint…) ## runs yamllint on all yaml files
	@yamllint -c .yamllint $(YAML_FILES)

## Tests
TEST_UNIT_TARGETS := test-unit-verbose test-unit-race
test-unit-verbose: ARGS=-v
test-unit-race:    ARGS=-race
$(TEST_UNIT_TARGETS): test-unit
.PHONY: $(TEST_UNIT_TARGETS) test-unit
test-unit: ; $(info $(M) running unit tests…) ## Run unit tests
	$(GO) test -timeout $(TIMEOUT_UNIT) $(ARGS) $(shell go list ./... | grep -v third_party/)

.PHONY: update-golden
update-golden: ./vendor ; $(info $(M) Running unit tests to update golden files…) ## run unit tests (updating golden files)
	@./hack/update-golden.sh

.PHONY: test-e2e
test-e2e: bin/tkn ; $(info $(M) Running e2e tests…) ## run e2e tests
	@LOCAL_CI_RUN=true bash ./test/e2e-tests.sh

.PHONY: docs
docs: bin/docs ; $(info $(M) Generating docs…) ## update docs
	@mkdir -p ./docs/cmd ./docs/man/man1
	@./bin/docs --target=./docs/cmd
	@./bin/docs --target=./docs/man/man1 --kind=man
	@rm -f ./bin/docs

.PHONY: generated
generated: update-golden docs fmt ## generate all files that needs to be generated

.PHONY: clean
clean: ## clean build artifacts
	rm -fR bin VERSION

.PHONY: fmt ## formats the GO code(excludes vendors dir)
fmt: ; $(info $(M) running gofmt…) @ ## Run gofmt on all source files
	$Q $(GO) fmt $(PKGS)

.PHONY: help
help: ## print this help
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z0-9_-]+:.*?## / {gsub("\\\\n",sprintf("\n%22c",""), $$2);printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

=== .pc/no-build-test-with-bins/Makefile ===
GO   = go
PKGS = $(or $(PKG),$(shell env GO111MODULE=on $(GO) list ./... | grep -v 'github.com/tektoncd/cli/third_party/'))
BIN  = $(CURDIR)/.bin

export GO111MODULE=on

V = 0
Q = $(if $(filter 1,$V),,@)
M = $(shell printf "\033[34;1m🐱\033[0m")

TIMEOUT_UNIT = 5m
TIMEOUT_E2E  = 20m

# Get golangci_version from tools/go.mod to eliminate the manual bump
GOLANGCI_VERSION = $(shell cat tools/go.mod | grep golangci-lint | awk '{ print $$3 }')

YAML_FILES := $(shell find . -type f -regex ".*y[a]ml" -print)

ifneq ($(NAMESPACE),)
	NAMESPACELDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.namespace=$(NAMESPACE)
endif

ifneq ($(SKIP_CHECK_FLAG),)
	SKIPLDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.skipCheckFlag=$(SKIP_CHECK_FLAG)
endif

ifneq (,$(wildcard ./VERSION))
	VERSIONLDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.clientVersion=`cat VERSION`
endif

ifneq ($(RELEASE_VERSION),)
	VERSIONLDFLAG := -X github.com/tektoncd/cli/pkg/cmd/version.clientVersion=$(RELEASE_VERSION)
endif

FLAGS := $(VERSIONLDFLAG)
ifneq ($(SKIPLDFLAG),)
	FLAGS := $(FLAGS) $(SKIPLDFLAG)
endif

ifneq ($(NAMESPACELDFLAG),)
	FLAGS := $(FLAGS) $(NAMESPACELDFLAG)
endif

ifneq ($(FLAGS),)
	LDFLAGS := -ldflags "$(FLAGS)"
endif

all: bin/tkn test

FORCE:

.PHONY: vendor
vendor:
	@$(GO) mod vendor

.PHONY: cross
cross: amd64 386 arm arm64 s390x ppc64le ## build cross platform binaries

.PHONY: amd64
amd64:
	GOOS=linux GOARCH=amd64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-amd64 ./cmd/tkn
	GOOS=windows GOARCH=amd64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-windows-amd64 ./cmd/tkn
	GOOS=darwin GOARCH=amd64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-darwin-amd64 ./cmd/tkn

.PHONY: 386
386:
	GOOS=linux GOARCH=386 go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-386 ./cmd/tkn
	GOOS=windows GOARCH=386 go build -mod=vendor $(LDFLAGS) -o bin/tkn-windows-386 ./cmd/tkn

.PHONY: arm
arm:
	GOOS=linux GOARCH=arm go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-arm ./cmd/tkn

.PHONY: arm64
arm64:
	GOOS=linux GOARCH=arm64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-arm64 ./cmd/tkn
	GOOS=darwin GOARCH=arm64 go build -mod=vendor $(LDFLAGS) -o bin/tkn-darwin-arm64 ./cmd/tkn

.PHONY: s390x
s390x:
	GOOS=linux GOARCH=s390x go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-s390x ./cmd/tkn

.PHONY: ppc64le
ppc64le:
	GOOS=linux GOARCH=ppc64le go build -mod=vendor $(LDFLAGS) -o bin/tkn-linux-ppc64le ./cmd/tkn

bin/%: cmd/% FORCE
	$(Q) $(GO) build -mod=vendor $(LDFLAGS) -v -o $@ ./$<

check: lint test

.PHONY: test
test: test-unit ## run all tests

.PHONY: lint
lint: lint-go goimports lint-yaml  ## run all linters

GOLANGCILINT = $(BIN)/golangci-lint
$(BIN)/golangci-lint: ; $(info $(M) getting golangci-lint $(GOLANGCI_VERSION))
	cd tools; GOBIN=$(BIN) $(GO) install -mod=mod github.com/golangci/golangci-lint/cmd/golangci-lint@$(GOLANGCI_VERSION)

.PHONY: lint-go
lint-go: | $(GOLANGCILINT) ; $(info $(M) running golangci-lint…) @ ## Run golangci-lint
	$Q $(GOLANGCILINT) run --modules-download-mode=vendor --max-issues-per-linter=0 --max-same-issues=0 --timeout 10m
	@rm -f $(GOLANGCILINT)

GOIMPORTS = $(BIN)/goimports
$(GOIMPORTS): ; $(info $(M) getting goimports )
	GOBIN=$(BIN) $(GO) install -mod=mod golang.org/x/tools/cmd/goimports@latest

.PHONY: goimports
goimports: | $(GOIMPORTS) ; $(info $(M) running goimports…) ## Run goimports
	$Q $(GOIMPORTS) -l -e -w pkg cmd test
	@rm -f $(GOIMPORTS)

.PHONY: lint-yaml
lint-yaml: ${YAML_FILES}  ; $(info $(M) running yamllint…) ## runs yamllint on all yaml files
	@yamllint -c .yamllint $(YAML_FILES)

## Tests
TEST_UNIT_TARGETS := test-unit-verbose test-unit-race
test-unit-verbose: ARGS=-v
test-unit-race:    ARGS=-race
$(TEST_UNIT_TARGETS): test-unit
.PHONY: $(TEST_UNIT_TARGETS) test-unit
test-unit: ; $(info $(M) running unit tests…) ## Run unit tests
	$(GO) test -timeout $(TIMEOUT_UNIT) $(ARGS) $(shell go list ./... | grep -v third_party/)

.PHONY: update-golden
update-golden: ./vendor ; $(info $(M) Running unit tests to update golden files…) ## run unit tests (updating golden files)
	@./hack/update-golden.sh

.PHONY: test-e2e
test-e2e: bin/tkn ; $(info $(M) Running e2e tests…) ## run e2e tests
	@LOCAL_CI_RUN=true bash ./test/e2e-tests.sh

.PHONY: docs
docs: bin/docs ; $(info $(M) Generating docs…) ## update docs
	@mkdir -p ./docs/cmd ./docs/man/man1
	@./bin/docs --target=./docs/cmd
	@./bin/docs --target=./docs/man/man1 --kind=man
	@rm -f ./bin/docs

.PHONY: generated
generated: update-golden docs fmt ## generate all files that needs to be generated

.PHONY: clean
clean: ## clean build artifacts
	rm -fR bin VERSION

.PHONY: fmt ## formats the GO code(excludes vendors dir)
fmt: ; $(info $(M) running gofmt…) @ ## Run gofmt on all source files
	$Q $(GO) fmt $(PKGS)

.PHONY: help
help: ## print this help
	@awk 'BEGIN {FS = ":.*?## "} /^[a-zA-Z0-9_-]+:.*?## / {gsub("\\\\n",sprintf("\n%22c",""), $$2);printf "\033[36m%-20s\033[0m %s\n", $$1, $$2}' $(MAKEFILE_LIST)

=== debian/changelog ===
tekton-cli (0.41.1-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.41.1 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 09 Aug 2025 21:19:04 +0200

tekton-cli (0.39.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.39.0 release
  * Bump the golang-go version required to build

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 14 Jan 2025 13:22:10 +0200

tekton-cli (0.37.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.37.0 release
  * Bump the Standards-Version
  * Bump the golang-go version required to build
  * Drop the i386 arch

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 17 Aug 2024 19:00:14 +0200

tekton-cli (0.36.0-1kaisen) kaisen-packages; urgency=medium

  * Import the 0.36.0 release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 08 May 2024 13:57:56 +0200

tekton-cli (0.35.0-1kaisen) kaisen-packages; urgency=medium

  * Initial release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Feb 2024 19:52:29 +0100

=== debian/control ===
Source: tekton-cli
Section: admin
Priority: optional
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13), golang-go (>= 1.24), dh-golang
Standards-Version: 4.7.2
Homepage: https://tekton.dev/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/tekton-cli
Vcs-Git: https://gitlab.com/kaisenlinux/packages/tekton-cli.git

Package: tekton-cli
Architecture: amd64 arm64
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: A CLI for interacting with Tekton!

=== debian/rules ===
#!/usr/bin/make -f

export GOPATH=$(CURDIR)/_build

%:
	dh $@ --buildsystem=golang --builddirectory=_build

override_dh_auto_clean:
	rm -rf $(CURDIR)/_build $(CURDIR)/bin

override_dh_auto_build:
	make

override_dh_auto_test:
	make test

override_dh_dwz:

override_dh_auto_install:
	install -p -m 0644 $(CURDIR)/debian/tekton-cli.png $(CURDIR)/debian/tekton-cli/usr/share/pixmaps
	install -p -m 0755 $(CURDIR)/bin/tkn $(CURDIR)/debian/tekton-cli/usr/bin
	$(CURDIR)/debian/tekton-cli/usr/bin/tkn completion bash > $(CURDIR)/debian/tekton-cli/usr/share/bash-completion/completions/tkn
	$(CURDIR)/debian/tekton-cli/usr/bin/tkn completion zsh > $(CURDIR)/debian/tekton-cli/usr/share/zsh/vendor-completions/_tkn
